package com.zsc.edu.gateway.framework.mybatisplus;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum DataScopeType implements IEnum<Integer> {
    /**
     * 全部数据权限
     */
    DATA_SCOPE_ALL(1),
    /**
     * 部门数据权限
     */
    DATA_SCOPE_DEPT(2),
    /**
     * 部门及以下数据权限
     */
    DATA_SCOPE_DEPT_AND_CHILD(3),
    /**
     * 仅个人数据权限
     */
    DATA_SCOPE_SELF(4);
    /**
     * 自定义数据权限
     */
//    DATA_SCOPE_CUSTOM(5);

    private final int value;

    @Override
    public Integer getValue() {
        return this.value;
    }
}